Unit ZRPQLH_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure ZRPQLH(NN :Integer; U :Real; V :Real; var P :Array of Real;
                var Q :Array of Real; var RA :Real; var RB :Real);

implementation

procedure ZRPQLH(NN :Integer; U :Real; V :Real; var P :Array of Real;
                var Q :Array of Real; var RA :Real; var RB :Real);
var
I :Integer;
C :Real;
label
_1;
begin
RB := P[0];
Q[0] := RB;
RA := P[1]-U*RB;
Q[1] := RA;
for I:=3 to NN do
 begin
  C := P[I-1]-U*RA-V*RB;
  Q[I-1] := C;
  RB := RA;
  RA := C;
_1:
 end;
end;

end.
