Unit ZRPQLC_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, ZRPQLI_p, ZRPQLH_p, ZRPQLE_p, ZRPQLF_p, ZRPQLG_p;

procedure ZRPQLC(UU :Real; VV :Real; var NZ :Integer;
                var RAB :Array of Real);

implementation

procedure ZRPQLC(UU :Real; VV :Real; var NZ :Integer;
                var RAB :Array of Real);
var
J,I,I1,ITYPE :Integer;
RMP,ZM,EE,T,RELSTP,OMP,UI,VI :Real;
TRIED :Boolean;
const
ZERO :Real = 0.0;
PT01 :Real = 0.01;
ONE :Real = 1.0;
label
_1,_2,_3,_4,_5,_6;
begin
NZ := 0;
TRIED := False;
_PRPQLJ.elm3 := UU;
_PRPQLJ.elm4 := VV;
J := 0;
_1:
ZRPQLI(ONE,_PRPQLJ.elm3,_PRPQLJ.elm4,_PRPQLJ.elm18,_PRPQLJ.elm19,_PRPQLJ.elm20,_PRPQLJ.elm21);
if ( Abs(Abs(_PRPQLJ.elm18)-Abs(_PRPQLJ.elm20)) > PT01*Abs(_PRPQLJ.elm20) ) 
 then goto _6;
ZRPQLH(_PRPQLJ.elm26,_PRPQLJ.elm3,_PRPQLJ.elm4,RAB[_PP11R.elm2+0],RAB[_PP11R.elm3+0],_PRPQLJ.elm5,_PRPQLJ.elm6);
RMP := Abs(_PRPQLJ.elm5-_PRPQLJ.elm18*_PRPQLJ.elm6)+Abs(_PRPQLJ.elm19*_PRPQLJ.elm6);
ZM := Sqrt(Abs(_PRPQLJ.elm4));
EE := 2.0*Abs(RAB[_PP11R.elm3+0]);
T := -_PRPQLJ.elm18*_PRPQLJ.elm6;
for I:=2 to _PRPQLJ.elm25 do
 begin
  I1 := _PP11R.elm3+I;
_2:
  EE := EE*ZM+Abs(RAB[I1-1]);
 end;
EE := EE*ZM+Abs(_PRPQLJ.elm5+T);
EE := (5.0*_PRPQLJ.elm24+4.0*_PRPQLJ.elm23)*EE-(5.0*_PRPQLJ.elm24+2.0*_PRPQLJ.elm23)*(Abs(_PRPQLJ.elm5+T)+
    Abs(_PRPQLJ.elm6)*ZM)+2.0*_PRPQLJ.elm23*Abs(T);
if ( RMP > 20.0*EE ) 
 then goto _3;
NZ := 2;
goto _6;
_3:
J := J+1;
if ( J > 20 ) 
 then goto _6;
if ( J < 2 ) 
 then goto _5;
if ( RELSTP > 0.01 ) or ( RMP < OMP ) or ( TRIED ) 
 then goto _5;
if ( RELSTP < _PRPQLJ.elm22 ) 
 then RELSTP := _PRPQLJ.elm22;
RELSTP := Sqrt(RELSTP);
_PRPQLJ.elm3 := _PRPQLJ.elm3-_PRPQLJ.elm3*RELSTP;
_PRPQLJ.elm4 := _PRPQLJ.elm4+_PRPQLJ.elm4*RELSTP;
ZRPQLH(_PRPQLJ.elm26,_PRPQLJ.elm3,_PRPQLJ.elm4,RAB[_PP11R.elm2+0],RAB[_PP11R.elm3+0],_PRPQLJ.elm5,_PRPQLJ.elm6);
for I:=1 to 5 do
 begin
  ZRPQLE(ITYPE,RAB);
  ZRPQLF(ITYPE,RAB);
_4:
 end;
TRIED := True;
J := 0;
_5:
OMP := RMP;
ZRPQLE(ITYPE,RAB);
ZRPQLF(ITYPE,RAB);
ZRPQLE(ITYPE,RAB);
ZRPQLG(ITYPE,UI,VI,RAB);
if ( VI = ZERO ) 
 then goto _6;
RELSTP := Abs((VI-_PRPQLJ.elm4)/VI);
_PRPQLJ.elm3 := UI;
_PRPQLJ.elm4 := VI;
goto _1;
_6:
end;

end.
