Unit ZRPQLG_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure ZRPQLG(ITYPE :Integer; var UU :Real; var VV :Real;
                var RAB :Array of Real);

implementation

procedure ZRPQLG(ITYPE :Integer; var UU :Real; var VV :Real;
                var RAB :Array of Real);
var
I1,I2,I3 :Integer;
A4,A5,C1,C2,C3,C4,B1,B2,TEMP :Real;
const
ZERO :Real = 0.0;
label
_1,_2,_3,_4;
begin
if ( ITYPE = 3 ) 
 then goto _3;
if ( ITYPE = 2 ) 
 then goto _1;
A4 := _PRPQLJ.elm5+_PRPQLJ.elm3*_PRPQLJ.elm6+_PRPQLJ.elm17*_PRPQLJ.elm15;
A5 := _PRPQLJ.elm7+(_PRPQLJ.elm3+_PRPQLJ.elm4*_PRPQLJ.elm15)*_PRPQLJ.elm8;
goto _2;
_1:
A4 := (_PRPQLJ.elm5+_PRPQLJ.elm16)*_PRPQLJ.elm15+_PRPQLJ.elm17;
A5 := (_PRPQLJ.elm15+_PRPQLJ.elm3)*_PRPQLJ.elm7+_PRPQLJ.elm4*_PRPQLJ.elm8;
_2:
I1 := _PP11R.elm4+_PRPQLJ.elm25;
I2 := _PP11R.elm2+_PRPQLJ.elm26;
I3 := _PP11R.elm2+_PRPQLJ.elm25;
B1 := -RAB[I1-1]/RAB[I2-1];
B2 := -(RAB[I1-2]+B1*RAB[I3-1])/RAB[I2-1];
C1 := _PRPQLJ.elm4*B2*_PRPQLJ.elm9;
C2 := B1*_PRPQLJ.elm13;
C3 := B1*B1*_PRPQLJ.elm11;
C4 := C1-C2-C3;
TEMP := A5+B1*A4-C4;
if ( TEMP = ZERO ) 
 then goto _3;
UU := _PRPQLJ.elm3-(_PRPQLJ.elm3*(C3+C2)+_PRPQLJ.elm4*(B1*_PRPQLJ.elm9+B2*_PRPQLJ.elm13))/TEMP;
VV := _PRPQLJ.elm4*(1+C4/TEMP);
goto _4;
_3:
UU := ZERO;
VV := ZERO;
_4:
end;

end.
